[Pushwoosh Plugin] Upgrade failed - rolling back to previous application version

[Pushwoosh Plugin] Upgrade failed - rolling back to previous application version

  
Forge Component
(5)
Published on 14 Jul by OutSystems R&D
5 votes
Published on 14 Jul by OutSystems R&D

Anyone know why this problem happen?

"Upgrade failed - rolling back to previous application version.

Cannot read property '9bd951e1-c94c-434b-85cb-a4cde3ffe638' of undefined"

We are using here the version 10.0.405.0 on a Java stack and JBoss.

Sometime the studio publish with success apparently, but when you see the aplication, the changes were not made.

In the Service Center is showed the error I had mentione above.

I'm talking about mobile deployment.

Hi Tiago,

Do you face this rolling back problem while using component Pushwoosh Plugin or it happens with other deployments as well?

Thanks and Regards,

Suraj Borade

Suraj Borade wrote:

Hi Tiago,

Do you face this rolling back problem while using component Pushwoosh Plugin or it happens with other deployments as well?

Thanks and Regards,

Suraj Borade

Sorry Suraj

This problem is not related with the Pushwoosh Plugin. I don't know why it was associated.

We are changing the way how we are working in the team avoiding using the "Merge and Publish" option for making first the "Merge" and after that use the "1 Click Publish".

Apparently the problem stopped until now.

Best regards

Tiago Vital


Solution

Just check before merging that OS version which you are using is same as another developer whose changes you are merging. If you are on lesser version than another developer, then also this rolling back problem comes. (We faced this)

Solution

Suraj Borade wrote:

Just check before merging that OS version which you are using is same as another developer whose changes you are merging. If you are on lesser version than another developer, then also this rolling back problem comes. (We faced this)

Hi Suraj

Thanks very much. 

The problem could be this in fact because we have more than one OS 10 environment installed with different version and some people were using also different Service Studio version in this environment where we are having the problem. 

Now everybody are using the same Studio version.

Best regards 

Tiago Vital